
#ifndef STRUCTURES_H
#define STRUCTURES_H

#include <stdio.h>
#include <stdlib.h>

// a 128 X 128 matrix

// 128 X 128 = 16384 entries, corresponds to a mask of 14

#define NTYPE 8

#define MAX_NUM_AS 12

enum CHANGE_TYPE { OS , OM , CSM , CMS , CMM , CSS , HSS , BSS };



// yyyymmdd increment
int nextday(int d);
int prevday(int d);
int timetoint(int t);


enum REGION_NUM { ARIN , RIPE , APNIC , IANA1 , IANA2 , PRIVATE , RESERVED };

/*

	void SetRegions() {
		int i;
		Region[0] = RESERVED;
		for (i=1;i<=1876;i++) Region[i] = ARIN;
		for (i=1877;i<=1901;i++) Region[i] = RIPE;
		for (i=1902;i<=2042;i++) Region[i] = ARIN;
		Region[2043] = RIPE;
		for (i=2044;i<=2046;i++) Region[i] = ARIN;
		Region[2047] = RIPE;
		for (i=2048;i<=2106;i++) Region[i] = ARIN;
		for (i=2107;i<=2136;i++) Region[i] = RIPE;
		for (i=2137;i<=2584;i++) Region[i] = ARIN;
		for (i=2585;i<=2614;i++) Region[i] = RIPE;
		for (i=2615;i<=2772;i++) Region[i] = ARIN;
		for (i=2773;i<=2822;i++) Region[i] = RIPE;
		for (i=2823;i<=2829;i++) Region[i] = ARIN;
		for (i=2830;i<=2879;i++) Region[i] = RIPE;
		for (i=2880;i<=3153;i++) Region[i] = ARIN;
		for (i=3154;i<=3353;i++) Region[i] = RIPE;
		for (i=3354;i<=4607;i++) Region[i] = ARIN;
		for (i=4608;i<=4864;i++) Region[i] = APNIC;
		for (i=4865;i<=5376;i++) Region[i] = ARIN;
		for (i=5377;i<=5631;i++) Region[i] = RIPE;
		for (i=5632;i<=6655;i++) Region[i] = ARIN;
		for (i=6656;i<=6911;i++) Region[i] = RIPE;
		for (i=6912;i<=7466;i++) Region[i] = ARIN;
		for (i=7467;i<=7722;i++) Region[i] = APNIC;
		for (i=7723;i<=8191;i++) Region[i] = ARIN;
		for (i=8192;i<=9215;i++) Region[i] = RIPE;
		for (i=9216;i<=10239;i++) Region[i] = APNIC;
		for (i=10240;i<=12287;i++) Region[i] = ARIN;
		for (i=12288;i<=13311;i++) Region[i] = RIPE;
		for (i=13312;i<=15359;i++) Region[i] = ARIN;
		for (i=15360;i<=16383;i++) Region[i] = RIPE;
		for (i=16384;i<=17407;i++) Region[i] = ARIN;
		for (i=17408;i<=18431;i++) Region[i] = APNIC;
		for (i=18432;i<=20479;i++) Region[i] = ARIN;
		for (i=20480;i<=21503;i++) Region[i] = RIPE;
		for (i=21504;i<=23551;i++) Region[i] = ARIN;
		for (i=23552;i<=24575;i++) Region[i] = APNIC;
		for (i=24576;i<=25599;i++) Region[i] = RIPE;
		for (i=25600;i<=32767;i++) Region[i] = IANA1;
		for (i=32768;i<=64511;i++) Region[i] = IANA2;
		for (i=64512;i<=65534;i++) Region[i] = PRIVATE;
		Region[65535] = RESERVED;
	};

*/



#endif

